Bug 1283470 - Packages are not signed
Packages are not signed
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor (Show other bugs)
3.5.6
Unspecified Unspecified
urgent Severity urgent
: ovirt-3.5.6
: 3.5.6
Assigned To: Ryan Barry
cshao
node
: TestOnly, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 23:24 EST by cshao
Modified: 2016-02-10 14:18 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 04:02:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cshao 2015-11-18 23:24:02 EST
Description of problem:
A lot of packages are not signed.

Version-Release number of selected component (if applicable):
rhev-hypervisor7-7.2-20151118.0 
ovirt-node-3.2.3-29.el7

How reproducible:
100%

Steps to Reproduce:
1. Install rhev-hypervisor7-7.2-20151118.0 
2. Drop to shell and run#rpm -qa --qf '%{name}-%{version}-%{release}.%{arch} (%{SIGPGPgpsig})\n' | grep -v "Key ID"


Actual results:
1. After step2, there are lots of packages which are not signed.


# rpm -qa --qf '%{name}-%{version}-%{release}.%{arch} (%{SIGPGP:pgpsig})\n' | grep -v "Key ID"
libvirt-python-1.2.17-2.el7.x86_64 ((none))
nss-sysinit-3.19.1-18.el7.x86_64 ((none))
filesystem-3.2-20.el7.x86_64 ((none))
grub2-2.02-0.29.el7.x86_64 ((none))
libcacard-rhev-2.3.0-31.el7.x86_64 ((none))
emacs-filesystem-24.3-18.el7.noarch ((none))
qemu-kvm-common-rhev-2.3.0-31.el7.x86_64 ((none))
rpm-libs-4.11.3-17.el7.x86_64 ((none))
adwaita-cursor-theme-3.14.1-1.el7.noarch ((none))
lvm2-2.02.130-5.el7.x86_64 ((none))
python-pycurl-7.19.0-17.el7.x86_64 ((none))
kbd-misc-1.15.5-11.el7.noarch ((none))
rest-0.7.92-3.el7.x86_64 ((none))
fence-agents-cisco-ucs-4.0.11-27.el7.x86_64 ((none))
ncurses-base-5.9-13.20130511.el7.noarch ((none))
plymouth-0.8.9-0.24.20140113.el7.x86_64 ((none))
libnfsidmap-0.25-12.el7.x86_64 ((none))
libstdc++-4.8.5-4.el7.x86_64 ((none))
libvirt-daemon-1.2.17-13.el7.x86_64 ((none))
cyrus-sasl-md5-2.1.26-19.2.el7.x86_64 ((none))
......
......
......

Expected results:
1. After step2, there should have no packages which are not signed.

Additional info:
Comment 3 cshao 2015-11-22 22:35:11 EST
Test version:
rhev-hypervisor7-7.2-20151119.0
ovirt-node-3.2.3-29.el7.noarch

# rpm -qa --qf '%{name}-%{version}-%{release}.%{arch} (%{SIGPGP:pgpsig})\n' | grep -v "Key ID"
# 

Test result:
All packages are signed.

So the bug is fixed by above build, I will verify this bug after bug status change to ON_QA.
Comment 5 Ying Cui 2015-11-23 07:44:24 EST
according to comment 3, change the status to VERIFIED.
Comment 6 Fabian Deutsch 2015-12-01 04:02:49 EST
Closing this according to comment 5

Note You need to log in before you can comment on or make changes to this bug.